//
//  TaxiFareCalculatorDelegate.h
//  Hallo Taxi
//
//  Created by Holger Hinzberg on 18.02.12.
//  Copyright (c) 2012 Cocoa-Coding. All rights reserved.
//

#import <Foundation/Foundation.h>

@protocol TaxiFareCalculatorDelegate <NSObject>

// Die nachfolgenden Methoden müssen implementiert 
// werden. Sie sind erforderlich (required)
@required

// Methodendeklaration für den Fahrpreis
-(void) calculationDidFinish:(double)fare;

@optional
// Nur ein Test einer optionalen Methode
-(void) protocolTest:(double)fare;

@end
