//
//  TaxiFareCalculator.h
//  Hallo Taxi
//
//  Created by Holger Hinzberg on 14.02.12.
//  Copyright (c) 2012 Cocoa-Coding. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "TaxiFareCalculatorDelegate.h"

@interface TaxiFareCalculator : NSObject

@property (assign) int kilometer;
@property (assign) BOOL isNightTour;
@property (assign) BOOL isHolidayTour;
@property (assign) BOOL hasLuggage;

// Eigenschaft für ein delegate-Objekt
@property (weak) id 
    <TaxiFareCalculatorDelegate> delegate;

// Hier ändert sich der Rückgabetyp zu void
-(void)calculateFare;

@end
